package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Update(ctx, operations.C1APIAccessreviewV1AccessReviewServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceUpdateResponse != nil {
// handle response
}
}{
"accessReview": {
"accessReview": {
"accessReviewTemplateId": "<string>",
"autoGenerateReport": true,
"autoResolve": true,
"bindings": {},
"closedAt": "2023-11-07T05:31:56Z",
"completionDate": "2023-11-07T05:31:56Z",
"connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"description": "<string>",
"displayName": "<string>",
"exclusionScope": {
"appUserStatuses": [],
"appUserTypes": []
},
"exemptCertifiedAccessConflicts": true,
"expectedTicketCount": 123,
"hasAccuracySupport": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"multiApp": {
"appEntitlementDetails": {},
"appEntitlements": {}
},
"notificationConfig": {
"sendClose": true,
"sendReminders": true
},
"policyId": "<string>",
"reviewInstructions": "<string>",
"scope": {
"appUserStatuses": [],
"appUserTypes": []
},
"scopeV2": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"scopingVersion": "<string>",
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"singleApp": {
"appId": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
},
"createdByUserPath": "<string>",
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
},
"policyPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Update
Invokes the c1.api.accessreview.v1.AccessReviewService.Update method.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.Update(ctx, operations.C1APIAccessreviewV1AccessReviewServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceUpdateResponse != nil {
// handle response
}
}{
"accessReview": {
"accessReview": {
"accessReviewTemplateId": "<string>",
"autoGenerateReport": true,
"autoResolve": true,
"bindings": {},
"closedAt": "2023-11-07T05:31:56Z",
"completionDate": "2023-11-07T05:31:56Z",
"connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"description": "<string>",
"displayName": "<string>",
"exclusionScope": {
"appUserStatuses": [],
"appUserTypes": []
},
"exemptCertifiedAccessConflicts": true,
"expectedTicketCount": 123,
"hasAccuracySupport": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"multiApp": {
"appEntitlementDetails": {},
"appEntitlements": {}
},
"notificationConfig": {
"sendClose": true,
"sendReminders": true
},
"policyId": "<string>",
"reviewInstructions": "<string>",
"scope": {
"appUserStatuses": [],
"appUserTypes": []
},
"scopeV2": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"scopingVersion": "<string>",
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"singleApp": {
"appId": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
},
"createdByUserPath": "<string>",
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
},
"policyPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://conductorone-docs-iga-1271.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
The AccessReviewServiceUpdateRequest message.
The AccessReview message.
This message contains a oneof named setup_metadata. Only a single field of the following list may be set at a time:
- singleApp
- multiApp
- bindings
Show child attributes
Show child attributes
The AccessReviewExpandMask message.
Show child attributes
Show child attributes
Was this page helpful?